Coin: SoPointDetail Class Reference

| Coin3D is Free Software, published under the BSD 3-clause license. | https://coin3d.github.io https://www.kongsberg.com/en/kogt/

SoPointDetail Class Reference
Detail Classes

The SoPointDetail class is for storing detailed information for a single 3D point. More...

`#include <Inventor/details/SoPointDetail.h>`

Inheritance diagram for SoPointDetail:

## Public Member Functions
virtual SoType | getTypeId (void) const
| SoPointDetail (void)
virtual | ~SoPointDetail ()
virtual SoDetail * | copy (void) const
int | getCoordinateIndex (void) const
int | getMaterialIndex (void) const
int | getNormalIndex (void) const
int | getTextureCoordIndex (void) const
void | setCoordinateIndex (const int idx)
void | setMaterialIndex (const int idx)
void | setNormalIndex (const int idx)
void | setTextureCoordIndex (const int idx)
Public Member Functions inherited from SoDetail
virtual | ~SoDetail ()
SbBool | isOfType (const SoType type) const

## Static Public Member Functions
static SoType | getClassTypeId (void)
static void | cleanupClass (void)
static void | initClass (void)
Static Public Member Functions inherited from SoDetail
static void | initClass (void)
static void | initClasses (void)
static SoType | getClassTypeId (void)

## Additional Inherited Members
Protected Member Functions inherited from SoDetail
| SoDetail (void)

## Detailed Description

The SoPointDetail class is for storing detailed information for a single 3D point.

Instances of this class are used among other things for storing information about the vertices of lines and polygons after pick operations, and for storing information returned to tessellation callbacks.

It contains indices into the vertex coordinate sets, along with indices into material, texture and normal coordinates for the point.

## Constructor & Destructor Documentation

## ◆ SoPointDetail()

SoPointDetail::SoPointDetail | ( | void |  | ) |

Sets up an empty detail instance (all indices are equal to 0).

## ◆ ~SoPointDetail()

SoPointDetail::~SoPointDetail | ( |  | ) |
| virtual

Destructor.

## Member Function Documentation

## ◆ getTypeId()

SoType SoPointDetail::getTypeId | ( | void |  | ) | const
| virtual

Returns the type identification of an object derived from a class inheriting SoDetail. This is used for runtime type checking and "downward" casting.

Implements SoDetail.

## ◆ getClassTypeId()

SoType SoPointDetail::getClassTypeId | ( | void |  | ) |
| static

This static method returns the SoType object associated with objects of this class.

## ◆ cleanupClass()

void SoPointDetail::cleanupClass | ( | void |  | ) |
| inlinestatic

This static method cleans up static data of the class.

## ◆ copy()

SoDetail * SoPointDetail::copy | ( | void |  | ) | const
| virtual

Return a deep copy of ourself.

Note that if the Coin library has been built as a DLL under Microsoft Windows and you use this method from application code, you must make sure that both the Coin DLL and the application executable are using the same instance of a C Run-Time (CRT) library. Otherwise, you will get memory heap corruption upon deallocating the returned instances, eventually leading to mysterious crashes.

Implements SoDetail.

## ◆ getCoordinateIndex()

int SoPointDetail::getCoordinateIndex | ( | void |  | ) | const

Returns index into coordinate set for the point's 3D coordinates.

## ◆ getMaterialIndex()

int SoPointDetail::getMaterialIndex | ( | void |  | ) | const

Returns point's index into set of materials.

## ◆ getNormalIndex()

int SoPointDetail::getNormalIndex | ( | void |  | ) | const

Returns point's index into set of normals.

## ◆ getTextureCoordIndex()

int SoPointDetail::getTextureCoordIndex | ( | void |  | ) | const

Returns point's index into set of texture coordinates.

## ◆ setCoordinateIndex()

void SoPointDetail::setCoordinateIndex | ( | const int | idx | ) |

Used by client code for initializing the point detail instance.

## ◆ setMaterialIndex()

void SoPointDetail::setMaterialIndex | ( | const int | idx | ) |

Used by client code for initializing the point detail instance.

## ◆ setNormalIndex()

void SoPointDetail::setNormalIndex | ( | const int | idx | ) |

Used by client code for initializing the point detail instance.

## ◆ setTextureCoordIndex()

void SoPointDetail::setTextureCoordIndex | ( | const int | idx | ) |

Used by client code for initializing the point detail instance.

The documentation for this class was generated from the following files:

- SoPointDetail.h
- SoPointDetail.cpp